Bug 1732277 - Dev console should set Application as optional field when deploying an app
Summary: Dev console should set Application as optional field when deploying an app
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: ---
Assignee: cvogt
QA Contact: Gajanan More
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-23 06:15 UTC by XiaochuanWang
Modified: 2019-09-04 13:56 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-04 13:56:05 UTC
Target Upstream Version:


Attachments (Terms of Use)
standalone app is allowed to create from admin console (44.43 KB, image/png)
2019-07-23 06:27 UTC, XiaochuanWang
no flags Details
app could be joined to Application manually on Admin console. (44.69 KB, image/png)
2019-07-23 06:28 UTC, XiaochuanWang
no flags Details

Description XiaochuanWang 2019-07-23 06:15:41 UTC
Description of problem:
Dev console set the Application Name filed as required when deploying an app while Admin console doesn't have Application Name field. This is only to set as label which key is "app.kubernetes.io/part-of"

Version-Release number of selected component (if applicable):
4.2.0-0.nightly-2019-07-22-160516

How reproducible:
Always

Steps to Reproduce:
1. User login and switch to Development console. Click Add -> Deploy Image and check the field. (After created, check the label of DC which has "app.kubernetes.io/part-of")
2. Compare admin console. (From OperatorHub -> Developer Catalog -> choose an image to deploy). This will not create the label which key is "app.kubernetes.io/part-of"


Actual results:
1. "Application" is a required field. Label with key "app.kubernetes.io/part-of" is created automatically.
2. There is no "Application" field and there is no label "app.kubernetes.io/part-of"

Expected results:
1. "Application" should be an optional field.

Additional info:
After added the label with the same value for the key "app.kubernetes.io/part-of", Applications are connected.

Comment 1 XiaochuanWang 2019-07-23 06:27:10 UTC
Created attachment 1592753 [details]
standalone app is allowed to create from admin console

Comment 2 XiaochuanWang 2019-07-23 06:28:06 UTC
Created attachment 1592754 [details]
app could be joined to Application manually on Admin console.

Comment 3 XiaochuanWang 2019-07-23 06:46:01 UTC
Sorry, no need compare to Admin console.

Comment 4 cvogt 2019-08-21 20:01:50 UTC
The admin and dev console forms for creating an s2i app now share the same input fields and application name is a required field.

While the field is required, we have another issue to track providing a sensible default value: https://jira.coreos.com/browse/ODC-1646

The instantiate template form is still different and does not apply the same labels or request the application name be entered

Comment 5 cvogt 2019-08-31 02:24:29 UTC
Application name is no longer required and when possible a default value is provided.


Note You need to log in before you can comment on or make changes to this bug.